Bug 151428 - Segfault in gtktextiter.c due to missing variable
Summary: Segfault in gtktextiter.c due to missing variable
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-17 19:48 UTC by Ralf Ertzinger
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 05:36:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb session of crash (6.07 KB, text/plain)
2005-03-17 19:48 UTC, Ralf Ertzinger
no flags Details

Description Ralf Ertzinger 2005-03-17 19:48:57 UTC
Description of problem:
(Note: this may not be a GTK problem at all. Maybe I do not understand gdb, who
knows).

When running sylpheed (non-Redhat build, from freshrpms), replying to a certain
mail causes sylpheed to segfault. The fault is in the GTK2-libs (see the
attachment to this post for the gdb session).

What I do not understand is the 'Variable "_iter" is not available." part.
What is gdb trying to tell me? Has gcc optimized this away?

Version-Release number of selected component (if applicable):
gtk2-2.6.4-2

How reproducible:
Always

Steps to Reproduce:
1. start sylpheed
2. reply to a certain mail
3.
  
Actual results:
segfault in gtk2 libs

Expected results:
new composing window for reply mail

Additional info:

Comment 1 Ralf Ertzinger 2005-03-17 19:48:58 UTC
Created attachment 112105 [details]
gdb session of crash

Comment 2 Matthias Clasen 2005-04-21 05:36:19 UTC
This is most likely a sylpheed bug. 


Note You need to log in before you can comment on or make changes to this bug.